package dev.ninjdai.werewolf.uhc.roles;

import dev.ninjdai.werewolf.uhc.effects.werewolves.WerewolfStrength;

public enum Roles {
    WEREWOLF(new Role.Builder().setId("werewolf").setName("Werewolf").addRoleEffect(new WerewolfStrength()).build()),
    VILLAGER(new Role.Builder().setId("villager").setName("Villager").build());

    private final Role role;
    Roles(Role role) {
        this.role = role;
    }

    public Role get() {
        return this.role;
    }
}
