package dev.ninjdai.werewolf.uhc.effects.werewolves;

import dev.ninjdai.werewolf.uhc.effects.Effect;
import dev.ninjdai.werewolf.uhc.effects.EffectProperty;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.TextColor;
import net.minestom.server.entity.Player;
import net.minestom.server.potion.Potion;
import net.minestom.server.potion.PotionEffect;

public class WerewolfStrength extends Effect {
    int duration = 5000;

    EffectProperty effectProperty = new EffectProperty.Builder()
            .setPotion(new Potion(PotionEffect.STRENGTH, (byte)1, duration))
            .setTimeData(new EffectProperty.TimeData(0, duration))
            .build();


    @Override
    public void onEffectEnd(Player affectedPlayer) {
        affectedPlayer.sendMessage(Component.text("Your strength ran out...", TextColor.color(255, 50, 50)));
    }
}
